# Created by pyp2rpm-1.0.0
%define pypi_name yt
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-yt
Version:        2.5.5
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        An analysis and visualization toolkit for Astrophysical simulations, focusing on Adaptive Mesh Refinement data from Enzo, Orion, FLASH, and others

License:        GPLV3+
URL:            http://yt-project.org/
Source0:        http://pypi.python.org/packages/source/y/yt/yt-%{version}.tar.gz
Patch0: yt.libmath.patch
 
BuildRequires:  python-devel
BuildRequires:  freetype2-devel
BuildRequires:  hdf5-devel
BuildRequires:  python-cython
BuildRequires:  python-setuptools
BuildRequires:  python-numpy-devel
BuildRequires:  pkgconfig(libpng)
BuildRequires:  libgomp-devel

Requires: python-h5py
Requires: python-matplotlib
Requires: python-numpy

%description
Yt is an analysis tool for astrophysical simulation datasets,
generated by simulation platforms like Enzo, Orion, FLASH, Nyx,
MAESTRO, ART and Ramses.  It's written in python and heavily leverages
both NumPy and Matplotlib for fast arrays and visualization,
respectively.


%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
echo "/usr" > hdf5.cfg
echo "/usr" > png.cfg
echo "/usr" > freetype.cfg
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc yt/utilities/delaunay/README.txt yt/utilities/_libconfig/README.yt
%doc yt/utilities/lib/README.healpix.yt yt/utilities/lib/README.healpix
%{_bindir}/yt
%{_bindir}/iyt
%{_bindir}/pyro_queue.py
%{_bindir}/yt_lodgeit.py
%{python_sitearch}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.5.5-3.mga4
+ Revision: 544524
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.5.5-2.mga4
+ Revision: 499791
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 2.5.5-1.mga4
+ Revision: 492721
- Update to 2.5.5

* Fri Jul 26 2013 joequant <joequant> 2.4-1.mga4
+ Revision: 458655
- change gomp openmp
- add openmpi
- uses freetype2
- add png
- add numpy to build requires
- imported package python-yt

